<template>
  <form @submit.prevent="vote()">
    <div class="control">
      <label class="radio" v-for="answer in answers" :key="answer.id">
        <input type="radio" name="answer" :value="answer" v-model="selectedAnswer">
        {{ answer.text }}
      </label>
    </div>
    <input type="submit" value="Vote !">
  </form>
</template>

<script>
export default {
  name: "PollForm",
  props: {
    answers: Array
  },
  data: function() {
    return {
      selectedAnswer: Object
    }
  },
  methods: {
    vote: function() {
      this.$emit('vote', this.selectedAnswer);
    }
  }
};
</script>
